{
  "name": "bodyshop-desktop",
  "version": "1.0.7",
  "description": "Shop Management System Partner",
  "main": "./out/main/index.js",
  "author": "Convenient Brands, LLC",
  "homepage": "https://convenient-brands.com",
  "scripts": {
    "format": "prettier --write .",
    "lint": "eslint --cache .",
    "typecheck:node": "tsc --noEmit -p tsconfig.node.json --composite false",
    "typecheck:web": "tsc --noEmit -p tsconfig.web.json --composite false",
    "typecheck": "npm run typecheck:node && npm run typecheck:web",
    "start": "electron-vite preview",
    "dev": "electron-vite dev",
    "build:imex": "node deploy/set-artifact-name.js electron-vite build --mode imex && node deploy/set-artifact-name.js electron-builder --config electron-builder.imex.yml",
    "build:rome": "node deploy/set-artifact-name.js electron-vite build --mode rome && node deploy/set-artifact-name.js electron-builder --config electron-builder.rome.yml",
    "build:imex:publish": "node deploy/set-artifact-name.js electron-vite build --mode imex && node deploy/set-artifact-name.js electron-builder --config electron-builder.imex.yml --publish always",
    "build:rome:publish": "node deploy/set-artifact-name.js electron-vite build --mode rome && node deploy/set-artifact-name.js electron-builder --config electron-builder.rome.yml --publish always",
    "build:imex:linux": "node deploy/set-artifact-name.js electron-vite build --mode imex && node deploy/set-artifact-name.js electron-builder --config electron-builder.imex.yml --linux",
    "build:rome:linux": "node deploy/set-artifact-name.js electron-vite build --mode rome && node deploy/set-artifact-name.js electron-builder --config electron-builder.rome.yml --linux",
    "postinstall": "electron-builder install-app-deps",
    "build:unpack": "node deploy/set-artifact-name.js electron-vite build --mode imex && node deploy/set-artifact-name.js electron-builder --dir",
    "build:win": "node deploy/set-artifact-name.js electron-vite build --mode imex && node deploy/set-artifact-name.js electron-builder --win",
    "build:mac": "node deploy/set-artifact-name.js electron-vite build --mode imex && node deploy/set-artifact-name.js electron-builder --mac",
    "build:linux": "node deploy/set-artifact-name.js electron-vite build --mode imex && node deploy/set-artifact-name.js electron-builder --linux"
  },
  "dependencies": {
    "@apollo/client": "^3.13.6",
    "@electron-toolkit/preload": "^3.0.2",
    "@electron-toolkit/utils": "^4.0.0",
    "@sentry/electron": "^7.2.0",
    "@sentry/vite-plugin": "^4.5.0",
    "axios": "^1.12.2",
    "dayjs": "^1.11.18",
    "electron-log": "^5.4.3",
    "electron-updater": "^6.6.2",
    "winax": "^3.6.2"
  },
  "devDependencies": {
    "@ant-design/v5-patch-for-react-19": "^1.0.3",
    "@electron-toolkit/eslint-config-prettier": "^3.0.0",
    "@electron-toolkit/eslint-config-ts": "^3.1.0",
    "@electron-toolkit/tsconfig": "^2.0.0",
    "@playwright/test": "^1.56.1",
    "@reduxjs/toolkit": "^2.9.1",
    "@types/cors": "^2.8.19",
    "@types/express": "^5.0.3",
    "@types/lodash": "^4.17.20",
    "@types/node": "^24.9.1",
    "@types/node-cron": "^3.0.11",
    "@types/react": "^19.2.2",
    "@types/react-dom": "^19.2.2",
    "@types/xml2js": "^0.4.14",
    "@vitejs/plugin-react": "^5.0.4",
    "antd": "^5.27.6",
    "archiver": "^7.0.1",
    "chokidar": "^4.0.3",
    "cors": "^2.8.5",
    "cross-env": "^10.1.0",
    "dbffile": "^1.12.0",
    "electron": "^38.3.0",
    "electron-builder": "^26.0.12",
    "electron-store": "^11.0.2",
    "electron-vite": "^4.0.1",
    "eslint": "^9.38.0",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^7.0.0",
    "eslint-plugin-react-refresh": "^0.4.24",
    "express": "^5.1.0",
    "firebase": "^12.4.0",
    "graphql": "^16.11.0",
    "graphql-request": "^7.3.1",
    "i18next": "^25.6.0",
    "lodash": "^4.17.21",
    "node-cron": "^4.2.1",
    "playwright": "^1.56.1",
    "prettier": "^3.6.2",
    "react": "^19.2.0",
    "react-dom": "^19.2.0",
    "react-error-boundary": "^6.0.0",
    "react-i18next": "^16.1.4",
    "react-redux": "^9.2.0",
    "react-router": "^7.9.4",
    "redux-logger": "^3.0.6",
    "typescript": "^5.9.3",
    "vite": "7.1.11",
    "xml2js": "^0.6.2",
    "xmlbuilder2": "^4.0.0"
  }
}
